Index: src/other/incrTcl/itcl/CMake/tcl.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/tcl.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/tcl.cmake	(working copy)
@@ -686,21 +686,21 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &resultp, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
-			IF(HAVE_GETHOSTBYADDR_R_8)
-			   ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_8)
-			ENDIF(HAVE_GETHOSTBYADDR_R_8)
-		ENDIF(HAVE_GETHOSTBYADDR_R_7)
-	ENDIF(HAVE_GETHOSTBYADDR_R)
-ENDMACRO(SC_TCL_GETHOSTBYADDR_R)
+			check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
+			if(HAVE_GETHOSTBYADDR_R_8)
+			   add_tcl_cflag(HAVE_GETHOSTBYADDR_R_8)
+			endif(HAVE_GETHOSTBYADDR_R_8)
+		endif(HAVE_GETHOSTBYADDR_R_7)
+	endif(HAVE_GETHOSTBYADDR_R)
+endmacro(SC_TCL_GETHOSTBYADDR_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYNAME_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYNAME_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyname_r HAVE_GETHOSTBYNAME_R)
-	IF(HAVE_GETHOSTBYNAME_R)
-		SET(HAVE_GETHOSTBYNAME_R_6_SRC "
+macro(SC_TCL_GETHOSTBYNAME_R)
+	tcl_check_function_exists(gethostbyname_r HAVE_GETHOSTBYNAME_R)
+	if(HAVE_GETHOSTBYNAME_R)
+		set(HAVE_GETHOSTBYNAME_R_6_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -712,11 +712,11 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &res, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
-		IF(HAVE_GETHOSTBYNAME_R_6)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_6)
-		ELSE(HAVE_GETHOSTBYNAME_R_6)
-			SET(HAVE_GETHOSTBYNAME_R_5_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
+		if(HAVE_GETHOSTBYNAME_R_6)
+			add_tcl_cflag(HAVE_GETHOSTBYNAME_R_6)
+		else(HAVE_GETHOSTBYNAME_R_6)
+			set(HAVE_GETHOSTBYNAME_R_5_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -728,12 +728,12 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
+			check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
 
-			IF(HAVE_GETHOSTBYNAME_R_5)
-				ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_5)
-			ELSE(HAVE_GETHOSTBYNAME_R_5)
-				SET(HAVE_GETHOSTBYNAME_R_3_SRC "
+			if(HAVE_GETHOSTBYNAME_R_5)
+				add_tcl_cflag(HAVE_GETHOSTBYNAME_R_5)
+			else(HAVE_GETHOSTBYNAME_R_5)
+				set(HAVE_GETHOSTBYNAME_R_3_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -743,22 +743,22 @@
 (void) gethostbyname_r(name, he, &data);
 return 0;}
 				")
-				CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
-				IF(HAVE_GETHOSTBYNAME_R_3)
-					ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_3)
-				ENDIF(HAVE_GETHOSTBYNAME_R_3)
-			ENDIF(HAVE_GETHOSTBYNAME_R_5)
-		ENDIF(HAVE_GETHOSTBYNAME_R_6)
-	ENDIF(HAVE_GETHOSTBYNAME_R)
-ENDMACRO(SC_TCL_GETHOSTBYNAME_R)
+				check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
+				if(HAVE_GETHOSTBYNAME_R_3)
+					add_tcl_cflag(HAVE_GETHOSTBYNAME_R_3)
+				endif(HAVE_GETHOSTBYNAME_R_3)
+			endif(HAVE_GETHOSTBYNAME_R_5)
+		endif(HAVE_GETHOSTBYNAME_R_6)
+	endif(HAVE_GETHOSTBYNAME_R)
+endmacro(SC_TCL_GETHOSTBYNAME_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_IPV6
 #--------------------------------------------------------------------
-MACRO(SC_TCL_IPV6)
-	CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
-	IF(HAVE_GETADDRINFO)
-		SET(GETADDRINFO_SRC "
+macro(SC_TCL_IPV6)
+	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
+	if(HAVE_GETADDRINFO)
+		set(GETADDRINFO_SRC "
 #include <netdb.h>
 int main () {
 const char *name, *port;
@@ -768,20 +768,20 @@
 return 0;
 }
 		")
-		CHECK_C_SOURCE_COMPILES("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
-		IF(WORKING_GETADDRINFO)
-			ADD_TCL_CFLAG(HAVE_GETADDRINFO)
-		ENDIF(WORKING_GETADDRINFO)
-	ENDIF(HAVE_GETADDRINFO)
-ENDMACRO(SC_TCL_IPV6)
+		check_c_source_compiles("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
+		if(WORKING_GETADDRINFO)
+			add_tcl_cflag(HAVE_GETADDRINFO)
+		endif(WORKING_GETADDRINFO)
+	endif(HAVE_GETADDRINFO)
+endmacro(SC_TCL_IPV6)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWUID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWUID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwuid_r HAVE_GETPWUID_R)
-	IF(HAVE_GETPWUID_R)
-		SET(HAVE_GETPWUID_R_5_SRC "
+macro(SC_TCL_GETPWUID_R)
+	tcl_check_function_exists(getpwuid_r HAVE_GETPWUID_R)
+	if(HAVE_GETPWUID_R)
+		set(HAVE_GETPWUID_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -793,11 +793,11 @@
 (void) getpwuid_r(uid, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
-		IF(HAVE_GETPWUID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWUID_R_5)
-		ELSE(HAVE_GETPWUID_R_5)
-			SET(HAVE_GETPWUID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
+		if(HAVE_GETPWUID_R_5)
+			add_tcl_cflag(HAVE_GETPWUID_R_5)
+		else(HAVE_GETPWUID_R_5)
+			set(HAVE_GETPWUID_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -809,21 +809,21 @@
 (void) getpwuid_r(uid, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
-			IF(HAVE_GETPWUID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETPWUID_R_4)
-			ENDIF(HAVE_GETPWUID_R_4)
-		ENDIF(HAVE_GETPWUID_R_5)
-	ENDIF(HAVE_GETPWUID_R)
-ENDMACRO(SC_TCL_GETPWUID_R)
+			check_c_source_compiles("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
+			if(HAVE_GETPWUID_R_4)
+				add_tcl_cflag(HAVE_GETPWUID_R_4)
+			endif(HAVE_GETPWUID_R_4)
+		endif(HAVE_GETPWUID_R_5)
+	endif(HAVE_GETPWUID_R)
+endmacro(SC_TCL_GETPWUID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwnam_r HAVE_GETPWNAM_R)
-	IF(HAVE_GETPWNAM_R)
-		SET(HAVE_GETPWNAM_R_5_SRC "
+macro(SC_TCL_GETPWNAM_R)
+	tcl_check_function_exists(getpwnam_r HAVE_GETPWNAM_R)
+	if(HAVE_GETPWNAM_R)
+		set(HAVE_GETPWNAM_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -835,11 +835,11 @@
 (void) getpwnam_r(name, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
-		IF(HAVE_GETPWNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWNAM_R_5)
-		ELSE(HAVE_GETPWNAM_R_5)
-			SET(HAVE_GETPWNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
+		if(HAVE_GETPWNAM_R_5)
+			add_tcl_cflag(HAVE_GETPWNAM_R_5)
+		else(HAVE_GETPWNAM_R_5)
+			set(HAVE_GETPWNAM_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -851,21 +851,21 @@
 (void)getpwnam_r(name, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
-			IF(HAVE_GETPWNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETPWNAM_R_4)
-			ENDIF(HAVE_GETPWNAM_R_4)
-		ENDIF(HAVE_GETPWNAM_R_5)
-	ENDIF(HAVE_GETPWNAM_R)
-ENDMACRO(SC_TCL_GETPWNAM_R)
+			check_c_source_compiles("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
+			if(HAVE_GETPWNAM_R_4)
+			   add_tcl_cflag(HAVE_GETPWNAM_R_4)
+			endif(HAVE_GETPWNAM_R_4)
+		endif(HAVE_GETPWNAM_R_5)
+	endif(HAVE_GETPWNAM_R)
+endmacro(SC_TCL_GETPWNAM_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRGID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRGID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrgid_r HAVE_GETGRGID_R)
-	IF(HAVE_GETGRGID_R)
-		SET(HAVE_GETGRGID_R_5_SRC "
+macro(SC_TCL_GETGRGID_R)
+	tcl_check_function_exists(getgrgid_r HAVE_GETGRGID_R)
+	if(HAVE_GETGRGID_R)
+		set(HAVE_GETGRGID_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -877,11 +877,11 @@
 (void) getgrgid_r(gid, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
-		IF(HAVE_GETGRGID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRGID_R_5)
-		ELSE(HAVE_GETGRGID_R_5)
-			SET(HAVE_GETGRGID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
+		if(HAVE_GETGRGID_R_5)
+			add_tcl_cflag(HAVE_GETGRGID_R_5)
+		else(HAVE_GETGRGID_R_5)
+			set(HAVE_GETGRGID_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -893,21 +893,21 @@
 (void)getgrgid_r(gid, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
-			IF(HAVE_GETGRGID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETGRGID_R_4)
-			ENDIF(HAVE_GETGRGID_R_4)
-		ENDIF(HAVE_GETGRGID_R_5)
-	ENDIF(HAVE_GETGRGID_R)
-ENDMACRO(SC_TCL_GETGRGID_R)
+			check_c_source_compiles("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
+			if(HAVE_GETGRGID_R_4)
+				add_tcl_cflag(HAVE_GETGRGID_R_4)
+			endif(HAVE_GETGRGID_R_4)
+		endif(HAVE_GETGRGID_R_5)
+	endif(HAVE_GETGRGID_R)
+endmacro(SC_TCL_GETGRGID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrnam_r HAVE_GETGRNAM_R)
-	IF(HAVE_GETGRNAM_R)
-		SET(HAVE_GETGRNAM_R_5_SRC "
+macro(SC_TCL_GETGRNAM_R)
+	tcl_check_function_exists(getgrnam_r HAVE_GETGRNAM_R)
+	if(HAVE_GETGRNAM_R)
+		set(HAVE_GETGRNAM_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -919,11 +919,11 @@
 (void) getgrnam_r(name, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
-		IF(HAVE_GETGRNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRNAM_R_5)
-		ELSE(HAVE_GETGRNAM_R_5)
-			SET(HAVE_GETGRNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
+		if(HAVE_GETGRNAM_R_5)
+			add_tcl_cflag(HAVE_GETGRNAM_R_5)
+		else(HAVE_GETGRNAM_R_5)
+			set(HAVE_GETGRNAM_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -935,19 +935,19 @@
 (void)getgrnam_r(name, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
-			IF(HAVE_GETGRNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETGRNAM_R_4)
-			ENDIF(HAVE_GETGRNAM_R_4)
-		ENDIF(HAVE_GETGRNAM_R_5)
-	ENDIF(HAVE_GETGRNAM_R)
-ENDMACRO(SC_TCL_GETGRNAM_R)
+			check_c_source_compiles("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
+			if(HAVE_GETGRNAM_R_4)
+			   add_tcl_cflag(HAVE_GETGRNAM_R_4)
+			endif(HAVE_GETGRNAM_R_4)
+		endif(HAVE_GETGRNAM_R_5)
+	endif(HAVE_GETGRNAM_R)
+endmacro(SC_TCL_GETGRNAM_R)
 
 
 
 
-MACRO(CHECK_FD_SET_IN_TYPES_D)
-	SET(TEST_SRC "
+macro(CHECK_FD_SET_IN_TYPES_D)
+	set(TEST_SRC "
 	#include <sys/types.h>
 	int main ()
 	{
@@ -955,16 +955,16 @@
 	return 0;
 	}
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" FD_SET_IN_TYPES_H)
-ENDMACRO(CHECK_FD_SET_IN_TYPES_D)
+	check_c_source_compiles("${TEST_SRC}" FD_SET_IN_TYPES_H)
+endmacro(CHECK_FD_SET_IN_TYPES_D)
 
-MACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
-	SET(TEST_SRC"
+macro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	set(TEST_SRC"
 	#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
 	main(){};
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
-ENDMACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	check_c_source_compiles("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
+endmacro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
 
 
 
Index: src/other/incrTcl/itcl/CMake/CheckPrototypeExists.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/CheckPrototypeExists.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/CheckPrototypeExists.cmake	(working copy)
@@ -57,6 +57,6 @@
   return 0;
 }
 ")
-  CHECK_CXX_SOURCE_COMPILES("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
+  check_cxx_source_compiles("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
 endmacro(CHECK_PROTOTYPE_EXISTS _SYMBOL _HEADER _RESULT)
 
Index: src/other/incrTcl/itk/CMakeLists.txt
===================================================================
--- src/other/incrTcl/itk/CMakeLists.txt	(revision 54114)
+++ src/other/incrTcl/itk/CMakeLists.txt	(working copy)
@@ -37,65 +37,65 @@
 # *******************************************************************
 
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # set CMake project name
-PROJECT(ITK)
+project(ITK)
 
 # Without Tcl, Tk and Itcl sources, we can't build Itk.  Use TCL_SRC_PREFIX
 # and TCL_BIN_PREFIX to identify the location of the Tcl we are to use.
-IF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
-  SET(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
-  SET(ITCL_INCLUDE_DIRS ${ITCL_SRC_PREFIX}/generic)
-  SET(TK_INCLUDE_PATH ${TK_SRC_PREFIX}/generic ${TK_SRC_PREFIX}/bitmaps)
-  IF(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
-    SET(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SRC_PREFIX}/xlib ${TK_SRC_PREFIX}/win)
-  ELSE(WIN32)
-    SET(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
-  ENDIF(WIN32)
+if(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
+  set(TCL_INCLUDE_DIRS ${TCL_SRC_PREFIX}/generic ${TCL_SRC_PREFIX}/libtommath)
+  set(ITCL_INCLUDE_DIRS ${ITCL_SRC_PREFIX}/generic)
+  set(TK_INCLUDE_PATH ${TK_SRC_PREFIX}/generic ${TK_SRC_PREFIX}/bitmaps)
+  if(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/win)
+    set(TK_INCLUDE_PATH ${TK_INCLUDE_PATH} ${TK_SRC_PREFIX}/xlib ${TK_SRC_PREFIX}/win)
+  else(WIN32)
+    set(TCL_INCLUDE_DIRS ${TCL_INCLUDE_DIRS} ${TCL_SRC_PREFIX}/unix)
+  endif(WIN32)
   # Locate the TCL libraries.  We allow these to be overridden so that a parent
   # build can use a CMake target instead of an actual library path.
-  IF(NOT TCL_LIBRARY)
+  if(NOT TCL_LIBRARY)
     find_library(TCL_LIBRARY tcl PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_LIBRARY)
-  IF(NOT TCL_STUB_LIBRARY)
+  endif(NOT TCL_LIBRARY)
+  if(NOT TCL_STUB_LIBRARY)
     find_library(TCL_STUB_LIBRARY tclstub PATHS ${TCL_BIN_PREFIX}/lib)
-  ENDIF(NOT TCL_STUB_LIBRARY)
-  IF(NOT ITCL_LIBRARY)
+  endif(NOT TCL_STUB_LIBRARY)
+  if(NOT ITCL_LIBRARY)
     find_library(ITCL_LIBRARY itcl PATHS ${ITCL_BIN_PREFIX}/lib)
-  ENDIF(NOT ITCL_LIBRARY)
-  IF(NOT ITCL_STUB_LIBRARY)
+  endif(NOT ITCL_LIBRARY)
+  if(NOT ITCL_STUB_LIBRARY)
     find_library(ITCL_STUB_LIBRARY itclstub PATHS ${ITCL_BIN_PREFIX}/lib)
-  ENDIF(NOT ITCL_STUB_LIBRARY)
-  IF(NOT TK_LIBRARY)
+  endif(NOT ITCL_STUB_LIBRARY)
+  if(NOT TK_LIBRARY)
     find_library(TK_LIBRARY tcl PATHS ${TK_BIN_PREFIX}/lib)
-  ENDIF(NOT TK_LIBRARY)
-  IF(NOT TK_STUB_LIBRARY)
+  endif(NOT TK_LIBRARY)
+  if(NOT TK_STUB_LIBRARY)
     find_library(TK_STUB_LIBRARY tclstub PATHS ${TK_BIN_PREFIX}/lib)
-  ENDIF(NOT TK_STUB_LIBRARY)
-  IF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT TK_STUB_LIBRARY OR NOT ITCL_LIBRARY OR NOT ITCL_STUB_LIBRARY)
-    MESSAGE(FATAL_ERROR "Could not find at least one of Tcl, Itcl or Tk libraries in ${TCL_BIN_PREFIX}, ${ITCL_BIN_PREFIX}, and ${TK_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
-  ENDIF(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT TK_STUB_LIBRARY OR NOT ITCL_LIBRARY OR NOT ITCL_STUB_LIBRARY)
-ELSE(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
-  MESSAGE(FATAL_ERROR "Please specify the source and library locations of Tcl, Tk and Itcl using the TCL_SRC_PREFIX, TCL_BIN_PREFIX, TK_SRC_PREFIX, TK_BIN_PREFIX, ITCL_SRC_PREFIX and ITCL_BIN_PREFIX variables.")
-ENDIF(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
+  endif(NOT TK_STUB_LIBRARY)
+  if(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT TK_STUB_LIBRARY OR NOT ITCL_LIBRARY OR NOT ITCL_STUB_LIBRARY)
+    message(FATAL_ERROR "Could not find at least one of Tcl, Itcl or Tk libraries in ${TCL_BIN_PREFIX}, ${ITCL_BIN_PREFIX}, and ${TK_BIN_PREFIX} - please specify the parent directory for the libraries in the TCL_BIN_PREFIX variable (e.g. \${TCL_BIN_PREFIX}/lib)")
+  endif(NOT TCL_LIBRARY OR NOT TCL_STUB_LIBRARY OR NOT TK_LIBRARY OR NOT TK_STUB_LIBRARY OR NOT ITCL_LIBRARY OR NOT ITCL_STUB_LIBRARY)
+else(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
+  message(FATAL_ERROR "Please specify the source and library locations of Tcl, Tk and Itcl using the TCL_SRC_PREFIX, TCL_BIN_PREFIX, TK_SRC_PREFIX, TK_BIN_PREFIX, ITCL_SRC_PREFIX and ITCL_BIN_PREFIX variables.")
+endif(TCL_SRC_PREFIX AND TCL_BIN_PREFIX AND ITCL_SRC_PREFIX AND ITCL_BIN_PREFIX AND TK_SRC_PREFIX AND TK_BIN_PREFIX)
 
 # build shared libs by default
-SET(BUILD_SHARED_LIBS ON)
+set(BUILD_SHARED_LIBS ON)
 
 # build static libs by default
-SET(BUILD_STATIC_LIBS ON)
+set(BUILD_STATIC_LIBS ON)
 
 # version numbers
-SET(ITK_VERSION_MAJOR 3)
-SET(ITK_VERSION_MINOR 4)
-SET(ITK_PATCH_LEVEL "0")
+set(ITK_VERSION_MAJOR 3)
+set(ITK_VERSION_MINOR 4)
+set(ITK_PATCH_LEVEL "0")
 
-SET(ITK_VERSION "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}")
+set(ITK_VERSION "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}")
 
 #---------------------------------------------------------------------
 # The following logic is what allows binaries to run successfully in
@@ -103,50 +103,50 @@
 # identifying the necessity of setting CMAKE_INSTALL_NAME_DIR on OSX.
 
 # use, i.e. don't skip the full RPATH for the build tree
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+set(CMAKE_SKIP_BUILD_RPATH  FALSE)
 
 # when building, don't use the install RPATH already
 # (but later on when installing)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 
 # the RPATH/INSTALL_NAME_DIR to be used when installing
 if (NOT APPLE)
-  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
+  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib:\$ORIGIN/../lib")
 endif(NOT APPLE)
-SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
 # add the automatically determined parts of the RPATH which point to
 # directories outside the build tree to the install RPATH
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 
 #----------------------------------------------------------------------------
 # The location in which to install Tcl.  Only do this if CMAKE_INSTALL_PREFIX
 # hasn't been set already, to try and allow parent builds (if any) some control.
-IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
-  IF(NOT WIN32)
-    IF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
-    ELSE ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-      SET(CMAKE_INSTALL_PREFIX "/usr")
-    ENDIF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
-  ENDIF(NOT WIN32)
-  SET(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
-  SET(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
-ENDIF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+  if(NOT WIN32)
+    if ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr/local/tcldev-${TCL_VERSION}")
+    else ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+      set(CMAKE_INSTALL_PREFIX "/usr")
+    endif ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
+  endif(NOT WIN32)
+  set(CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE STRING "TCL install prefix" FORCE)
+  set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 0)
+endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
 #-----------------------------------------------------------------------------
 # Output directories.
 
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-ENDIF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-ENDIF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+endif(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+endif(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
 
 #----------------------------------------------------------------------------
 # First, get some standard options out of the way - things that are constant
@@ -168,30 +168,30 @@
 #--------------------------------------------------------------------
 add_definitions(-DTCL_THREADS=1)
 
-MACRO(TCL_CHECK_INCLUDE_FILE filename var)
-  CHECK_INCLUDE_FILE(${filename} ${var})
-  IF(${var})
+macro(TCL_CHECK_INCLUDE_FILE filename var)
+  check_include_file(${filename} ${var})
+  if(${var})
     add_definitions(-D${var}=1)
-  ENDIF(${var})
-ENDMACRO(TCL_CHECK_INCLUDE_FILE)
+  endif(${var})
+endmacro(TCL_CHECK_INCLUDE_FILE)
 
-TCL_CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
-TCL_CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-TCL_CHECK_INCLUDE_FILE(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
-IF(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+tcl_check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+tcl_check_include_file(sys/fstatfs.h HAVE_SYS_FSTATFS_H)
+if(NOT HAVE_SYS_FSTATFS_H)
   add_definitions(-DNO_FSTATFS=1)
-ENDIF(NOT HAVE_SYS_FSTATFS_H)
-TCL_CHECK_INCLUDE_FILE(memory.h HAVE_MEMORY_H)
-TCL_CHECK_INCLUDE_FILE(strings.h HAVE_STRINGS_H)
-TCL_CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
-TCL_CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
-TCL_CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
+endif(NOT HAVE_SYS_FSTATFS_H)
+tcl_check_include_file(memory.h HAVE_MEMORY_H)
+tcl_check_include_file(strings.h HAVE_STRINGS_H)
+tcl_check_include_file(inttypes.h HAVE_INTTYPES_H)
+tcl_check_include_file(stdint.h HAVE_STDINT_H)
+tcl_check_include_file(unistd.h HAVE_UNISTD_H)
 
-IF(TK_GRAPHICS_SYSTEM STREQUAL "x11")
+if(TK_GRAPHICS_SYSTEM STREQUAL "x11")
   find_package(X11)
-ENDIF(TK_GRAPHICS_SYSTEM STREQUAL "x11")
+endif(TK_GRAPHICS_SYSTEM STREQUAL "x11")
 
-SET(ITK_GENERIC_SRCS
+set(ITK_GENERIC_SRCS
   generic/itkStubInit.c
   generic/itkStubLib.c
   generic/itk_archetype.c
@@ -200,17 +200,17 @@
   generic/itk_util.c
   )
 
-SET(ITK_WIN_SRCS
+set(ITK_WIN_SRCS
   win/dllEntryPoint.c
   )
 
-SET(ITK_STUB_SRCS
+set(ITK_STUB_SRCS
   generic/itkStubLib.c
   )
 
 
-SET(ITK_INCLUDE_DIRS ${ITK_SOURCE_DIR}/generic ${ITK_BINARY_DIR}/include)
-MARK_AS_ADVANCED(ITK_INCLUDE_DIRS)
+set(ITK_INCLUDE_DIRS ${ITK_SOURCE_DIR}/generic ${ITK_BINARY_DIR}/include)
+mark_as_advanced(ITK_INCLUDE_DIRS)
 
 include_directories(
   ${TCL_INCLUDE_DIRS}
@@ -222,18 +222,18 @@
   ${CMAKE_SOURCE_DIR}/include
   )
 
-IF(WIN32)
+if(WIN32)
   add_library(itk ${ITK_GENERIC_SRCS} ${ITK_WIN_SRCS})
   target_link_libraries(itk ${M_LIBRARY} ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY} ${ITCL_STUB_LIBRARY})
-  SET_PROPERTY(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
-  SET_PROPERTY(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_ITCL_STUBS)
-  SET_PROPERTY(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
-ELSE(WIN32)
+  set_property(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
+  set_property(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_ITCL_STUBS)
+  set_property(TARGET itk APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
+else(WIN32)
   add_library(itk ${ITK_GENERIC_SRCS})
   target_link_libraries(itk ${TCL_LIBRARIES} ${ITCL_LIBRARY})
-ENDIF(WIN32)
-SET_TARGET_PROPERTIES(itk PROPERTIES VERSION ${ITK_VERSION} SOVERSION ${ITK_VERSION_MAJOR})
-SET_TARGET_PROPERTIES(itk PROPERTIES PREFIX "lib")
+endif(WIN32)
+set_target_properties(itk PROPERTIES VERSION ${ITK_VERSION} SOVERSION ${ITK_VERSION_MAJOR})
+set_target_properties(itk PROPERTIES PREFIX "lib")
 install(TARGETS itk DESTINATION ${LIB_DIR})
 install(TARGETS itk
   RUNTIME DESTINATION ${BIN_DIR}
@@ -242,17 +242,17 @@
 
 add_library(itkstub STATIC ${ITK_STUB_SRCS})
 target_link_libraries(itkstub ${ITCL_STUB_LIBRARY} ${TCL_STUB_LIBRARIES})
-SET_PROPERTY(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
-SET_PROPERTY(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_ITCL_STUBS)
-SET_PROPERTY(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
+set_property(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TCL_STUBS)
+set_property(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_ITCL_STUBS)
+set_property(TARGET itkstub APPEND PROPERTY COMPILE_DEFINITIONS USE_TK_STUBS)
 install(TARGETS itkstub
   RUNTIME DESTINATION ${BIN_DIR}
   LIBRARY DESTINATION ${LIB_DIR}
   ARCHIVE DESTINATION ${LIB_DIR})
 
-TCL_PKGINDEX(itk Itk "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}")
+tcl_pkgindex(itk Itk "${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}")
 
-SET(ITK_LIBRARY_FILES
+set(ITK_LIBRARY_FILES
   library/Archetype.itk
   library/Toplevel.itk
   library/Widget.itk
@@ -261,7 +261,7 @@
   )
 install(FILES ${ITK_LIBRARY_FILES} DESTINATION lib/itk${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR})
 
-FOREACH(file ${ITK_LIBRARY_FILES})
+foreach(file ${ITK_LIBRARY_FILES})
   get_filename_component(filename ${file} NAME)
   if(NOT CMAKE_CONFIGURATION_TYPES)
     configure_file(${file} ${CMAKE_BINARY_DIR}/lib/itk${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}/${filename} COPYONLY)
@@ -271,9 +271,9 @@
       configure_file(${file} ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/lib/itk${ITK_VERSION_MAJOR}.${ITK_VERSION_MINOR}/${filename} COPYONLY)
     endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
   endif(NOT CMAKE_CONFIGURATION_TYPES)
-ENDFOREACH(file ${ITK_LIBRARY_FILES})
+endforeach(file ${ITK_LIBRARY_FILES})
 
-SET(ITK_HDRS
+set(ITK_HDRS
   generic/itk.h
   generic/itkDecls.h
   )
